Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1496587 - Review Request: squashfuse - Mount SquashFS archives in user-space
Summary: Review Request: squashfuse - Mount SquashFS archives in user-space
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-27 21:11 UTC by Kyle Fazzari
Modified: 2017-09-30 10:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-30 06:56:51 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Kyle Fazzari 2017-09-27 21:11:50 UTC
Spec URL: https://raw.githubusercontent.com/kyrofa/squashfuse-rpm/master/squashfuse.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/kyrofa/squashfuse/fedora-26-x86_64/00608722-squashfuse/squashfuse-0.1.100-1.fc26.src.rpm

Description: Squashfuse lets you mount SquashFS archives in user-space. It supports almost all features of the SquashFS format, yet is still fast and memory-efficient. SquashFS is an efficiently compressed, read-only storage format. Support for it has been built into the Linux kernel since 2009. It is very common on Live CDs and embedded Linux distributions.

Fedora Account System Username: kyrofa

Comment 1 Neal Gompa 2017-09-27 21:15:42 UTC
Taking this review.

Comment 2 Neal Gompa 2017-09-27 21:21:07 UTC
I notice that upstream provides a tarball: https://github.com/vasi/squashfuse/releases/download/0.1.100/squashfuse-0.1.100.tar.gz

Is there a reason you didn't use it?

Comment 3 Neal Gompa 2017-09-27 21:26:44 UTC
In addition...

> Requires: fuse-libs, libattr, lz4-libs, xz-libs, zlib

This is completely unneeded. RPM should generate this if everything was detected correctly at build time.

Comment 4 Kyle Fazzari 2017-09-27 22:08:23 UTC
> Is there a reason you didn't use it?

Haha, a misunderstanding from previous reviews. Resolved now! Means we get epel6, nice.

> This is completely unneeded. RPM should generate this if everything was detected correctly at build time.

Verified and removed.

SPEC: https://raw.githubusercontent.com/kyrofa/squashfuse-rpm/master/squashfuse.spec
SRPM: https://copr-be.cloud.fedoraproject.org/results/kyrofa/squashfuse/fedora-26-x86_64/00608739-squashfuse/squashfuse-0.1.100-1.fc26.src.rpm

Comment 5 Neal Gompa 2017-09-27 22:16:39 UTC
> BuildRequires: autoconf, automake,

These particular build requirements are no longer needed.

Comment 6 Kyle Fazzari 2017-09-27 22:20:29 UTC
Indeed not, removed.

Comment 8 Neal Gompa 2017-09-28 01:10:07 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "BSD (2 clause)", "Unknown or generated",
     "GPL". 32 files have unknown license. Detailed output of licensecheck
     in /home/makerpm/1496587-squashfuse/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     squashfuse-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: squashfuse-0.1.100-1.fc28.x86_64.rpm
          squashfuse-debuginfo-0.1.100-1.fc28.x86_64.rpm
          squashfuse-0.1.100-1.fc28.src.rpm
squashfuse.x86_64: W: spelling-error Summary(en_US) filesystem -> file system, file-system, systemically
squashfuse.x86_64: W: spelling-error Summary(en_US) squashfs -> squashes, squash's, squash
squashfuse.x86_64: W: only-non-binary-in-usr-lib
squashfuse.x86_64: W: no-manual-page-for-binary squashfuse_ll
squashfuse-debuginfo.x86_64: E: useless-provides debuginfo(build-id)
squashfuse.src: W: spelling-error Summary(en_US) filesystem -> file system, file-system, systemically
squashfuse.src: W: spelling-error Summary(en_US) squashfs -> squashes, squash's, squash
3 packages and 0 specfiles checked; 1 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: squashfuse-debuginfo-0.1.100-1.fc28.x86_64.rpm
squashfuse-debuginfo.x86_64: E: useless-provides debuginfo(build-id)
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
squashfuse-debuginfo.x86_64: W: invalid-url URL: https://github.com/vasi/squashfuse <urlopen error [Errno -2] Name or service not known>
squashfuse-debuginfo.x86_64: E: useless-provides debuginfo(build-id)
squashfuse.x86_64: W: spelling-error Summary(en_US) filesystem -> file system, file-system, systemically
squashfuse.x86_64: W: spelling-error Summary(en_US) squashfs -> squashes, squash's, squash
squashfuse.x86_64: W: invalid-url URL: https://github.com/vasi/squashfuse <urlopen error [Errno -2] Name or service not known>
squashfuse.x86_64: W: only-non-binary-in-usr-lib
squashfuse.x86_64: W: no-manual-page-for-binary squashfuse_ll
2 packages and 0 specfiles checked; 1 errors, 6 warnings.



Requires
--------
squashfuse-debuginfo (rpmlib, GLIBC filtered):

squashfuse (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libfuse.so.2()(64bit)
    libfuse.so.2(FUSE_2.4)(64bit)
    libfuse.so.2(FUSE_2.5)(64bit)
    libfuse.so.2(FUSE_2.6)(64bit)
    libfuse.so.2(FUSE_2.8)(64bit)
    liblz4.so.1()(64bit)
    liblzma.so.5()(64bit)
    liblzma.so.5(XZ_5.0)(64bit)
    libpthread.so.0()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
squashfuse-debuginfo:
    debuginfo(build-id)
    squashfuse-debuginfo
    squashfuse-debuginfo(x86-64)

squashfuse:
    squashfuse
    squashfuse(x86-64)



Source checksums
----------------
https://github.com/vasi/squashfuse/releases/download/0.1.100/squashfuse-0.1.100.tar.gz :
  CHECKSUM(SHA256) this package     : 2da9f53482f7e3c0ab407dd47062a0feee7cda770b2342def1d36271e89f2d7f
  CHECKSUM(SHA256) upstream package : 2da9f53482f7e3c0ab407dd47062a0feee7cda770b2342def1d36271e89f2d7f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1496587 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 9 Neal Gompa 2017-09-28 09:11:24 UTC
PACKAGE APPROVED.

Comment 10 Gwyn Ciesla 2017-09-28 11:59:38 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/squashfuse

Comment 11 Fedora Update System 2017-09-28 19:10:53 UTC
squashfuse-0.1.100-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a197b3b65b

Comment 12 Fedora Update System 2017-09-28 19:12:57 UTC
squashfuse-0.1.100-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1b846c05b0

Comment 13 Fedora Update System 2017-09-28 19:13:25 UTC
squashfuse-0.1.100-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c728b201cb

Comment 14 Fedora Update System 2017-09-28 19:14:06 UTC
squashfuse-0.1.100-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8dc18895af

Comment 15 Fedora Update System 2017-09-28 19:14:58 UTC
squashfuse-0.1.100-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6cafa48eac

Comment 16 Fedora Update System 2017-09-30 06:56:51 UTC
squashfuse-0.1.100-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-09-30 07:16:09 UTC
squashfuse-0.1.100-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-09-30 07:22:11 UTC
squashfuse-0.1.100-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-09-30 10:19:30 UTC
squashfuse-0.1.100-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-09-30 10:19:32 UTC
squashfuse-0.1.100-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.